Skip navigation.
Home
The QNX Community Portal

View topic - QNX 6.6 Compatibility with older versions

Page 1 of 1

QNX 6.6 Compatibility with older versions

PostPosted: Wed Sep 21, 2016 2:21 pm
by leonel.ivo
Hi all,
We have an application running in QNX 6.3.2 with Photon in an old x86 hardware. We need to run this same application both in the old hardware and also in a new x86 hardware with a Bay Trail CPU. As far as I could see, only the new version QNX 6.6 supports this platform.
In our app we use COM1, Ethernet, Photon with touch screen, compact flash (EIDE) and standard keyboard and mouse.
I have already tested the application binaries compiled in 6.3.2 in a QNX 6.5.0 + Photon box and it worked fine.
Some questions:
- Does anyone tested QNX 6.3.2 or 6.5.0 on this new x86 chipset Bay Trail (Intel BloomField Hills)? Are they really not compatible?
- I saw that Photon is not supported anymore on 6.6. Is it still possible to run Photon in QNX6.6? Does it come with the QNX6.6 Development environment?
- In case Photon runs in 6.6, is it possible to run the app binaries compiled for 6.3.2 in this new QNX6.6 + Photon?
- Does anyone have any insight of how difficult is to port a Photon application to the new 6.6 graphics environment? Does it have an application like Phindows?
Our best scenario would be to use the same code (binaries) running in the two different hardware (one running QNX6.3.2 and the other QNX6.6) to do not have to maintain two different code bases and development environments. We have hundreds of equipment with 6.3.2 and may have hundreds with 6.6.
Any help will be appreciated.
Best Regards,
Leonel.

Re: QNX 6.6 Compatibility with older versions

PostPosted: Sun Sep 25, 2016 4:18 pm
by denkelly
>>>anyone tested QNX 6.3.2 or 6.5.0 on this new x86 chipset Bay Trail
If you can get 6.5 to install, it is mostly compatible. The DVD installer
did not work on my BayTrail - but using an HDD with 6.5 pre-installed,
the Photon desktop came up SVGA on/hdmi monitor. The network(Realtek)
worked fine. USB was the only real issue - it is the reason the installer
failed (USB DVD reader), and the mouse did not work with Photon. In fact,
"usb" binary finds NO devices at all!

[6.6 has a new usb module 'devu-xhci.so' which supports USB 3.0 - so Baytrail
usb works for 6.6]

There are no 6.5 hardware graphics drivers for this platform or most newer
(IntelHD) platforms.

>>>Is it still possible to run Photon in QNX6.6?
>>>Does it come with the QNX6.6 Development environment?
No and no.

>>>Does anyone have any insight of how difficult is to port a Photon application
to the new 6.6 graphics environment?
A complete re-write.

>>>Does it have an application like Phindows?
There is nothing comparable to phwindows for 6.6.

If you can live with SVGA graphics, I would suggest you find a different
x86 platform (assuming your Baytrail board can't work with USB). 6.5 Photon
works well on my IvyBridge board using SVGA graphics.

Re: QNX 6.6 Compatibility with older versions

PostPosted: Mon Sep 26, 2016 2:45 pm
by leonel.ivo
Hi Denkelly, thanks for sharing!

I realized that porting our app from Photon to Qt or HTML5 could be an investment of many months. I will try QNX6.5.0 on a sample bay trail board and if it does not work look for an older and compatible one while we decide how to evolve our product to run in these new hardware.

Best regards.

Re: QNX 6.6 Compatibility with older versions

PostPosted: Mon Sep 26, 2016 8:27 pm
by denkelly
>>>porting our app from Photon to Qt or HTML5 could be an investment of many months.
It really depends on how you used photon. If you embedded your back-end functionality directly into the photon executable - then yes - you are looking at a complete rewrite. If you used photon as a "client" in communication with a separate back-end process, then building a new client "face" is a much smaller task.

Re: QNX 6.6 Compatibility with older versions

PostPosted: Tue Sep 27, 2016 4:32 pm
by ingraham
Just to clarify, does 6.6 have self-hosted gcc / qcc? I realize that the IDE no longer self-hosts, but is it possible to compile code? At a terminal shell prompt, can I type
Code: Select all
echo 'int main(){}' > dummy.c
qcc dummy.c

and get an a.out?

Re: QNX 6.6 Compatibility with older versions

PostPosted: Tue Sep 27, 2016 5:11 pm
by denkelly
There is no QNX-hosted tool-chain (no compiler)l You must cross-compile from windows or linux host to build a binary.